/*
 * Copyright 2005, 2006 University of Leiden.
 *
 * This file is part of MIA+EWS.
 *
 * MIA+EWS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MIA+EWS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MIA; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: OI_WAVELENGTH.h,v 1.2 2010/01/26 10:00:53 jaffe Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* jaffe     2003-07-25  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */
/*----------------------------------------------------------------------- */
/* Definition of OI_WAVELENGTH table                                      */
/*------------------------------------------------------------------------*/
/* types defined in #include "fitsio.h" */
    
/* table type */
char* extname="OI_WAVELENGTH";
 
/* Define the keywords to be used */
int nkey = 3;       /* number of keywords */
char* keywords[] = { /* Table keywords */
         "OI_REVN",
         "INSNAME",
         "NWAVE"
};
int keytype[] = {   /* data types of the keywords */
         TINT,
         TSTRING,
         TINT
};
char* keycom[] = {   /* Description of the keywords */
         "Revision number of the table definition",
         "Instrument Name",
         "Number of Wavelengths in table"
};
/* Define the  columns in the table */
int ncol = 2;       /* number of columns */
char* coltype[] = { /*  Column labels */
         "EFF_WAVE",
         "EFF_BAND"
};
int coldatatype[] = {   /* data types of the keywords */
         TFLOAT,
         TFLOAT
};
char* colunits[] = {   /*  Units for columns */
         "METERS",
         "METERS"
};
long colcount[] = {   /*  Number of elements (as 1D) in the columns */
         1,
         1
};
char* coldim[] = {   /*  Dimensionality if 2D or higher */
         " ",
         " "
};
/* */
